<?php
/**
 * Random 10 Media Module for MediaLibrary
 * @version 1.5
 * @package Medialibrary
 * @copyright 2009 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru); Rob de Cleen(rob@decleen.com); 
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

/** ensure this file is being included by a parent file */
defined( '_JEXEC' ) or die( 'Restricted access' );
$database = &JFactory::getDBO();

if( !function_exists( 'sefreltoabs')) {
  function sefRelToAbs( $value ) {
    //Need check!!!

    // Replace all &amp; with & as the router doesn't understand &amp;
    $url = str_replace('&amp;', '&', $value);
    if(substr(strtolower($url),0,9) != "index.php") return $url;
    $uri    = JURI::getInstance();
    $prefix = $uri->toString(array('scheme', 'host', 'port'));
    return $prefix.JRoute::_($url);
  }
}

if (is_callable(array($params,"get"))) {                // Mambo 4.5.0 compatibility
    $number_books = intval($params->def('books', '1'));           
    $number_games = intval($params->def('games', '1'));          
    $number_musics = intval($params->def('musics', '1'));             
    $number_videos = intval($params->def('videos', '1'));
    $show_published    = $params->def('only_published', 1);    //Get if we only show published items                 
} else {    //Set Defaults If nothing set
    $number_books = '';
    $number_games = '';
    $number_musics = '';
    $number_videos = '';
    $show_published = 1;                                                                         
}

//Check if only display published items
if ($show_published==1) {
    $sql_published = "AND b.published=1 ";
} else {
    $sql_published = "";
}


if($number_books!='' && $number_books!=0) {
    $selectstring = "SELECT a.title, b.id, b.hits, b.catid FROM #__medialibrary_book AS a, #__medialibrary AS b ". 
                    "WHERE b.media_type='book' AND b.media_id=a.id ".$sql_published.
                    "\nORDER BY rand() DESC LIMIT 0,$number_books;";
    $database->setQuery($selectstring);
    $rows_books = $database->loadObjectList();
}

if($number_games!='' && $number_games!=0) {
    $selectstring = "SELECT a.title, b.id, b.hits, b.catid FROM #__medialibrary_game AS a, #__medialibrary AS b ". 
                    "WHERE b.media_type='game' AND b.media_id=a.id ".$sql_published.
                    "\nORDER BY rand() DESC LIMIT 0,$number_games;";;
    $database->setQuery($selectstring);
    $rows_games = $database->loadObjectList();
}

if($number_musics!='' && $number_musics!=0) {
    $selectstring = "SELECT a.title, b.id, b.hits, b.catid FROM #__medialibrary_music AS a, #__medialibrary AS b ". 
                    "WHERE b.media_type='music' AND b.media_id=a.id ".$sql_published.
                    "\nORDER BY rand() DESC LIMIT 0,$number_musics;";
    $database->setQuery($selectstring);
    $rows_musics = $database->loadObjectList();
}

if($number_videos!='' && $number_videos!=0) {
    $selectstring = "SELECT a.title, b.id, b.hits, b.catid FROM #__medialibrary_video AS a, #__medialibrary AS b ". 
                    "WHERE b.media_type='video' AND b.media_id=a.id ".$sql_published.
                    "\nORDER BY rand() DESC LIMIT 0,$number_videos;";
    $database->setQuery($selectstring);
    $rows_videos = $database->loadObjectList();
}

    $selectstring = "SELECT id FROM #__menu WHERE link='index.php?option=com_medialibrary'";
    $database->setQuery($selectstring);
    $ItemId_tmp = $database->loadResult();

//todo load correct itemid
?>
<table cellpadding="0" cellspacing="0" class="moduletable" width="100%">
   <tr>      
      <td>
        <table cellpadding="0" cellspacing="0" class="moduletable" width="100%">
      
    <?php if($number_books!='' && $number_books!=0 && count($rows_books)) {?>             
         <tr>
             <td colspan="2"><strong>Books</strong>
             <td>
         </tr>
	<?php foreach ($rows_books as $row) { ?>
		<tr>
            <td>
                <a href="index.php?option=com_medialibrary&amp;task=view&amp;id=<?php echo $row->id; ?>&amp;catid=<?php echo $row->catid; ?>&amp;Itemid=<?php echo $ItemId_tmp; ?>"><?php echo $row->title; ?></a>
            </td>
		    <td align="right">
                <font class='small'>(<?php echo $row->hits; ?>)</font>
		   </td>
        </tr>
           <?php } ?>
     <?php } ?>
     
     <?php if($number_games!='' && $number_games!=0 && count($rows_games)) {?>    
         <tr>
             <td colspan="2"><strong>Games</strong>
             <td>
         </tr>
    <?php foreach ($rows_games as $row) { ?>
        <tr>
            <td>
            <a href="index.php?option=com_medialibrary&amp;task=view&amp;id=<?php echo $row->id; ?>&amp;catid=<?php echo $row->catid; ?>&amp;Itemid=<?php echo $ItemId_tmp; ?>"><?php echo $row->title; ?></a>
            </td>
            <td align="right">
                <font class='small'>(<?php echo $row->hits; ?>)</font>
           </td>
        </tr>
           <?php } ?>
     <?php } ?>            
     
     <?php if($number_musics!='' && $number_musics!=0 && count($rows_musics)) {?>    
         <tr>
             <td colspan="2"><strong>Music</strong>
             <td>
         </tr>
    <?php foreach ($rows_musics as $row) { ?>
        <tr>
            <td>
            <a href="index.php?option=com_medialibrary&amp;task=view&amp;id=<?php echo $row->id; ?>&amp;catid=<?php echo $row->catid; ?>&amp;Itemid=<?php echo $ItemId_tmp; ?>"><?php echo $row->title; ?></a>
            </td>
            <td align="right">
                <font class='small'>(<?php echo $row->hits; ?>)</font>
           </td>
        </tr>
           <?php } ?>                     
     <?php } ?>   
     
     <?php if($number_videos!='' && $number_videos!=0 && count($rows_videos)) {?>    
         <tr>
             <td colspan="2"><strong>Video</strong>
             <td>
         </tr>
    <?php foreach ($rows_videos as $row) { ?>
        <tr>
            <td>
            <a href="index.php?option=com_medialibrary&amp;task=view&amp;id=<?php echo $row->id; ?>&amp;catid=<?php echo $row->catid; ?>&amp;Itemid=<?php echo $ItemId_tmp; ?>"><?php echo $row->title; ?></a>
            </td>
            <td align="right">
                <font class='small'>(<?php echo $row->hits; ?>)</font>
           </td>
        </tr>
           <?php } ?>
     <?php } ?>    
     
            </table>           
     
      </td>
   </tr>
</table>
